HC = require "HardonCollider"



function on_collide(dt, shape_a, shape_b, mtv_x, mtv_y)
	if shape_a == player or shape_b == player then
	playerCollideFloor(dt, shape_a, shape_b, mtv_x, mtv_y)
end
end

function playerCollideFloor(dt, shape_a, shape_b, mtv_x, mtv_y)
	if mtv_x ~= 0 then
		xVel = 0
	end

	if mtv_y ~= 0 then
		yVel = 0
	end

	hx = hx + mtv_x
	hy = hy + mtv_y
end

function love.load()
collider = HC(100, on_collide)

player = collider:addRectangle(400, 300, 50, 50)
floor = collider:addRectangle(0, 500, 800, 50)

gravity = 3
jump_height = 300
hx, hy = 0, 0
xVel, yVel = 0, 0
friction = 1.5
onGround = false
speed = 3
end

function love.update(dt)
print(dt)
dt = math.min(dt, 0.07)
print(dt)
frame = dt*30
print(frame)
	yVel = yVel * (1 - math.min(dt*friction, 1))
	xVel = xVel * (1 - math.min(dt*friction, 1))

	if love.keyboard.isDown("w") then
		yVel = yVel - (1.5 *frame)
	else
		yVel = yVel + (1.5*frame)
	end

	if love.keyboard.isDown("a") then
		xVel = xVel - (1.5*frame)
	elseif love.keyboard.isDown("d") then
		xVel = xVel + (1.5*frame)
	end

	if love.keyboard.isDown("r") then
		hx = 0
		hy = 0
	end

	hx = hx + xVel*frame
	hy = hy + yVel*frame

	player:moveTo(hx, hy)

	collider:update(dt)
end

function love.draw()
floor:draw('fill')
player:draw('fill')
end